<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent" >

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center" >

        <ProgressBar
            android:id="@+id/buffer_loading"
            android:layout_width="@dimen/d_116dp"
            android:layout_height="@dimen/d_116dp"
            android:layout_centerHorizontal="true"
            android:indeterminate="true"
            android:indeterminateDrawable="@drawable/media_controller_buffer_progress" />

        <TextView
            android:id="@+id/buffer_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/buffer_loading"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/d_52dp"
            android:gravity="center"
            android:text="@string/buffer_text"
            android:textColor="@android:color/white"
            android:textSize="@dimen/s_24sp" />

        <TextView
            android:id="@+id/buffer_notice"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/buffer_text"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/d_20dp"
            android:gravity="center"
            android:textSize="@dimen/s_20sp" />

        <TextView
            android:id="@+id/buffer_rate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/buffer_notice"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/d_10dp"
            android:gravity="center"
            android:text="@string/buffer_rate"
            android:textColor="@android:color/white"
            android:textSize="@dimen/s_20sp" />
    </RelativeLayout>

</FrameLayout>